## svn-buildpackage 0.5.6

=== Makefile ===
all:
	chmod +x svn-inject svn-upgrade svn-buildpackage uclean

commit:
	if test "`svn ls| grep ^M`" ; then svn commit ; rsync `svn ls` blade@gluck.debian.org:public_html/misc/svn-devscripts/ ; fi

clean:
	rm *~
	make -C doc clean

install:
	cp svn-inject svn-upgrade svn-buildpackage $(DESTDIR)/bin
	cp *.1 $(prefix)/share/man/man1

doc:
	perl -pe 's/([^\\])-/$1\\-/g' -i *.1

=== debian/changelog ===
svn-buildpackage (0.5.6) unstable; urgency=low

  * Fixed uclean to match invidiual files in CVS/... correctly
  * wrote a "quick guide" in the manual
  * s-u: abort if the new tarball already exists in ../tarballs

 -- Eduard Bloch <blade@debian.org>  Thu, 20 May 2004 18:31:59 +0200

svn-buildpackage (0.5.5) unstable; urgency=low

  * s-b: made the dependency check helper only run when no custom build
    command is set and -d switch is not used (closes: #249507)
  * s-b: always remove target directory before trying to export into it
    (closes: #248040)
  * s-b: don't try to export upsteam source from repository in
    mergeWithUpstream mode, show a meaningful failure message instead
  * s-u: accept debianized .orig.tar.gz tarballs as upstream source

 -- Eduard Bloch <blade@debian.org>  Sat,  8 May 2004 14:45:43 +0200

svn-buildpackage (0.5.4) unstable; urgency=low

  * svn-buildpackage.conf parser redesigned, accepts any command line options
    now. Documentation updated.

 -- Eduard Bloch <blade@debian.org>  Thu,  6 May 2004 18:39:05 +0200

svn-buildpackage (0.5.3) unstable; urgency=low

  * Fixed broken logics in tarball copy function

 -- Eduard Bloch <blade@debian.org>  Sun,  2 May 2004 20:37:45 +0200

svn-buildpackage (0.5.2) unstable; urgency=low

  * workarounds to support buggy source packages that come without primary
    subdirectory in the upstream tarball (closes: #246120)
  * fall back to upstream source export if no .orig.tar.gz tarball has been
    found (closes: #245344)
  * more useful log messages (closes: #246625)
  * checks for conflicting .svn dirs in svn-inject and svn-upgrade 
    (closes: #238067)
  * manpage updates (closes: #237911, #246849)
  * remove all undefined arguments when calling programs (closes: #246624)
  * BIG WARNING about the dangerous permission set changes with the
    post-commit script (closes: #240630)
  * more verbose introduction to the version control systems in the manual
  * "svn cp -l" replacement works also with uncommited files now
  * less useless checks in the configure step, now staring faster
  * exit early if dpkg-checkbuilddeps fails

 -- Eduard Bloch <blade@debian.org>  Tue,  9 Mar 2004 15:49:02 +0100

svn-buildpackage (0.5.1) unstable; urgency=low

  * svn-upgrade: added --upstream-version as alias for -V (closes: #237054)
  * Rewrote parts of the manual to suggest svn.d.o instead of alioth.d.o in
    the URLs

 -- Eduard Bloch <blade@debian.org>  Tue, 09 Mar 2004 15:47:27 +0100

svn-buildpackage (0.5) unstable; urgency=low

  * Build-Depends on tetex-extra (closes: #233172)
  * New feature: control prompt after failed command calls

 -- Eduard Bloch <blade@debian.org>  Sat, 14 Feb 2004 15:38:39 +0100

svn-buildpackage (0.4.7) unstable; urgency=low

  * Made svn-inject abort in the beginning if the target directory already
    exists
  * Marking auto-executed svn actions with [scriptname]

 -- Eduard Bloch <blade@debian.org>  Sat, 14 Feb 2004 01:04:05 +0100

svn-buildpackage (0.4.6) unstable; urgency=low

  * Not passing undefined args to external calls, this could confuse
    Subversion under certain circumstances (Closes: #232219)
  * Not setting executable property on debian/rules explicitely, svn_load_dirs
    does it already
  * experimental workarounds for Woody's Perl
  * clean function in svn-uupgrade to remove debian/ dirs and run general make
    clean in the new source
  * Suggesting the fsh package - always a good idea compared to pure SSH
    commands, especially since svn_load_dirs calls it a lot of times

 -- Eduard Bloch <blade@debian.org>  Thu, 15 Jan 2004 14:04:57 +0100

svn-buildpackage (0.4.5) unstable; urgency=low

  * svn-inject specifies new config file explicitely
  * svn-buildpackage: dont-purge option implemented
  * manual shows an example of how the local directories may look

 -- Eduard Bloch <blade@debian.org>  Sat, 10 Jan 2004 17:28:18 +0100

svn-buildpackage (0.4.4) unstable; urgency=low

  * svn-buildpackage: unconfused for nested section names in DEB file listing
  * svn-inject: don't try to copy .orig. file when there was none
    (wrong placed file path expansion)

 -- Eduard Bloch <blade@debian.org>  Thu,  8 Jan 2004 17:02:38 +0100

svn-buildpackage (0.4.3) unstable; urgency=low

  * svn-buildpackage manages epoch'ed Debian revision right (closes: #225534)

 -- Eduard Bloch <blade@debian.org>  Tue,  6 Jan 2004 11:05:15 +0100

svn-buildpackage (0.4.2) unstable; urgency=low

  * Fixed stupid check for source beeing a file introduced in 0.4.1
  * Fixed various stupid bugs that became visible in the mergemode
  * Fixed returned error code in sd_exit()

 -- Eduard Bloch <blade@debian.org>  Wed, 24 Dec 2003 00:23:10 +0100

svn-buildpackage (0.4.1) unstable; urgency=low

  * svn-upgrade: don't look at the suffix in regexp when working on directory
    as input

 -- Eduard Bloch <blade@debian.org>  Sun,  7 Dec 2003 22:27:37 +0100

svn-buildpackage (0.4) unstable; urgency=low

  * package renamed for consitency with *-buildpackage:
    svn-devscripts -> svn-buildpackage
    svn-uupdate -> svn-upgrade
    svn-debuild waits for beeing created by Julian Gilbey  (closes: #220733)
  * moved SD.pm to /usr/share/svn-devscripts/SDCommon.pm (closes: #220736)
  * svn-upgrade no longer recompresses upstream tarballs, leaving it on
    maintainers choice
  * new options:
    --svn-move: move the package files (.changes and components listed
    therein) to <startdir>/..
    --svn-builder <cmd>: alternative build command, eg. debuild, pdebuild
    (closes: #220739, #217934)
  * Code cleanups and feature improvements:
    + svn-upgrade accepts source directories
    + svn-upgrade got the -r option to resolve conflicts quickly ;)
    + improved sync of detected settings with .svn/deb-layout on exit

 -- Eduard Bloch <blade@debian.org>  Tue, 28 Oct 2003 18:16:15 +0100

svn-devscripts (0.3.4) unstable; urgency=low

  * Resolve orig file links and absolut path while using it (closes: #217977)


=== debian/control ===
Source: svn-buildpackage
Section: devel
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), debiandoc-sgml, tetex-extra
Standards-Version: 3.5.9

Package: svn-buildpackage
Architecture: all
Conflicts: svn-devscripts (<< 0.3.5)
Replaces: svn-devscripts (<< 0.3.5)
Suggests: fsh
Depends: subversion, subversion-tools, devscripts, ${perl:Depends}
Description: helper programs to maintain Debian packages with Subversion
 svn-buildpackage (formerly svn-devscripts) contains tools that help to
 automate the task of maintaining Debian packages inside of a Subversion
 repository. They are intended to be used by Debian developers to
 simplify the error-prone actions with the svn, devscripts and
 dpkg-dev utilities.
 .
  - svn-inject: creates the initial directory structure of
         Debian-SVN repository and imports existing packages
  - svn-uupdate: imports upstream changes into the upstream branch and
         updates the Debian trunk directory, merging and tagging as needed
  - svn-buildpackage: wrapper around dpkg-buildpackage,
         exporting/merging/tagging source as needed (similar to
         cvs-buildpackage)
 .
 The package also includes a detailed HOWTO document.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd doc && $(MAKE)
	#/usr/bin/docbook-to-man debian/svn-buildpackage.sgml > svn-buildpackage.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp doc/HOWTO.html doc/HOWTO.pdf

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/bin usr/share/perl5

	# Add here commands to install the package into debian/svn-buildpackage.
	cp svn-buildpackage svn-inject svn-upgrade uclean $(CURDIR)/debian/svn-buildpackage/usr/bin
	cp SDCommon.pm $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman doc/*.1
	dh_link
	dh_strip
	dh_compress -XHOWTO.pdf
	dh_fixperms
	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## svn-buildpackage 0.5.11

=== debian/changelog ===
svn-buildpackage (0.5.11) unstable; urgency=low

  * reverted the parsing order for command-line options and those from
    .svn-buildpackage.conf (allowing to override the presets, closes: #283150)
  * fixed usage of the custom orig storage directory (closes: #288252,#288261)
  * changed tar x to tar -x since it no longer works with current gtar
    versions if some argument precedes x (closes: #288254)

 -- Eduard Bloch <blade@debian.org>  Sun, 02 Jan 2005 21:05:04 +0100

svn-buildpackage (0.5.10) unstable; urgency=low

  * svn-inject: remove trailing slash from the URL to not confuse
    svn_load_dirs (closes: #270873)
  * svn-inject: not trying to write config if trunk is not to be checked out
  * s/svn-uupdate/svn-upgrade/g in control, README.Debian (closes: #267716)
  * documented the --svn-override optios which is useful to (guess what)
    override config directives from .svn/deb-layer or autodetected settings
    (closes: #271808)
  * wrote minimalistic manpage for uclean

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Oct 2004 11:53:44 +0200

svn-buildpackage (0.5.9) unstable; urgency=medium

  * more UNRELEASED dist changes
  * version does not break on _ somewhere in the path name (closes: #264362)
  * fixes the svn-move bug with forgetting components (closes: #258599)

 -- Eduard Bloch <blade@debian.org>  Wed, 18 Aug 2004 12:59:14 +0200

svn-buildpackage (0.5.8) unstable; urgency=low

  * additional setting of the target distribution to UNRELEASED for the
    next revision changelog entries (closes: #257288)
  * very experimental option to pass the diff contents extracted from the
    repository to dpkg-source (requires patched dpkg-source, see
    http://bugs.debian.org/246918 for details)

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Jun 2004 11:39:01 +0200

svn-buildpackage (0.5.7) unstable; urgency=low

  * disabled the upstream source export (closes: #252123), it was a really bad
    idea to implement this cludge and enable it as default fallback. The
    behaviour can be still enforced by setting $FORCEEXPORT.
  * not aborting s-b if .changes file could not be found (closes: #254048) 
  * s-u: more carefull external command invocation to work with spaces in path
    names
  * s-b: new switch to temporarily override config variables and --svn-move-to
    to specify the target directory
  * more verbose messages in mergeWithUpstream mode

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Jun 2004 11:38:30 +0200

## svn-buildpackage 0.6.7

=== debian/changelog ===
svn-buildpackage (0.6.7) unstable; urgency=low

  * respecting epoch numbers in svn-upgrade, patch by Reed
    Snellenberger <rsnellenberger AT houston.rr.com> (closes: #305626)

 -- Eduard Bloch <blade@debian.org>  Thu, 21 Apr 2005 20:16:44 +0200

svn-buildpackage (0.6.6) unstable; urgency=low

  * another bug with dolike fixed, exporting the source to the correct
    directory on relative path names

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 18:16:38 +0200

svn-buildpackage (0.6.5) unstable; urgency=medium

  * fixed a bug in the new dolike option file parser

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 18:12:54 +0200

svn-buildpackage (0.6.4) unstable; urgency=low

  * dolike function now also recognises the merge mode
  * calling the builder command trough the fallback-prompt wrapper now
  * now export some usefull environment variables, most similar to
    cvs-buidlpackage, and documented how to use it with existing hook
    commands, eg. to fetch upstream source from the pool (closes: #291626)

 -- Eduard Bloch <blade@debian.org>  Tue, 29 Mar 2005 03:22:04 +0200

svn-buildpackage (0.6.3) unstable; urgency=low

  * fixed the linkcopy method to not pull .svn directories into the target
    area (sorry people, really! closes: #301382)

 -- Eduard Bloch <blade@debian.org>  Fri, 25 Mar 2005 15:52:16 +0100

svn-buildpackage (0.6.2) unstable; urgency=low

  * RECOMMENDATIONS section in svn-buildpackage.1
  * --svn-reuse feature in s-b, reuses the old build directory
  * simplified linkcopy code and fixed some unneeded system() shell
    invocations, also more robust to paths with spaces now
  * experimental: simple shortening message shortening algorithm on command
    invocations
  * fixed erraneous "autodetecting..." message printing

 -- Eduard Bloch <blade@debian.org>  Wed, 23 Mar 2005 13:04:22 +0100

svn-buildpackage (0.6.1) unstable; urgency=medium

  * added shell expansion to config file processing and added example for
    overriding tarball directory (closes: #296150)
  * added the --svn-export which does pure export&merge (closes: #294955)
  * added the --do-like (-d) option to svn-inject

 -- Eduard Bloch <blade@debian.org>  Wed, 16 Mar 2005 18:23:05 +0100

svn-buildpackage (0.6) unstable; urgency=low

  * importing default configuration parts from the file debian/svn-deblayout
    if found and .svn/deb-layout does not exist (closes: #291662)
  * new option: --svn-retag to remove a possibly existing tag copy before
    tagging (closes: #297222)
  * updated svn-buildpackage manpage, also explained --svn-no-links
    (closes: #299085)
  * manual updates: svnserver -> svnserve (closes: #291660), fixed
    obsolete/broken links or replaced with references 
    (closes: #291659, #293984), typo fix and more verbose merge 
    mode description by Emanuele Rocca (closes: #293241)

 -- Eduard Bloch <blade@debian.org>  Tue, 15 Mar 2005 16:27:15 +0100

svn-buildpackage (0.5.12) unstable; urgency=low

  * Parse file lists with spaces in filenames correctly (closes: #291241)
  * programs now export SVN_BUILDPACKAGE containing svn-buildpackage package
    version (closes: #288300)

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Jan 2005 22:24:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends-Indep: debhelper (>> 4.0.0), debiandoc-sgml, tetex-extra
-Standards-Version: 3.5.9
+Standards-Version: 3.6.1.1
 
 Package: svn-buildpackage
 Architecture: all
@@ -20,7 +20,7 @@
  .
   - svn-inject: creates the initial directory structure of
          Debian-SVN repository and imports existing packages
-  - svn-uupdate: imports upstream changes into the upstream branch and
+  - svn-upgrade: imports upstream changes into the upstream branch and
          updates the Debian trunk directory, merging and tagging as needed
   - svn-buildpackage: wrapper around dpkg-buildpackage,
          exporting/merging/tagging source as needed (similar to

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	# Add here commands to install the package into debian/svn-buildpackage.
 	cp svn-buildpackage svn-inject svn-upgrade uclean $(CURDIR)/debian/svn-buildpackage/usr/bin
 	cp SDCommon.pm $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage
+	perl -pe 's/^\$$version=.*/\$$version="'$(shell dpkg-parsechangelog  | grep ^Version | cut -f2 -d\  )'";/' -i $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage/SDCommon.pm
 
 # Build architecture-independent files here.
 binary-arch: build install

## svn-buildpackage 0.6.9

=== debian/changelog ===
svn-buildpackage (0.6.9) unstable; urgency=low

  * using "cp" for .orig.tar.gz copying again, more reliable

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Jun 2005 22:58:16 +0200

svn-buildpackage (0.6.8) unstable; urgency=low

  * updated README.Debian and pointed at HOWTO there (closes: #310997)
  * fixed some old quick&dirty code in the dsc parser and file location, now
    should work with symlinks and do a real copy (closes: #315385)
  * added a special case for French i18n in svn output parser (closes: #315232)
    
 -- Eduard Bloch <blade@debian.org>  Wed, 22 Jun 2005 22:52:43 +0200

## svn-buildpackage 0.6.14

=== doc/Makefile ===
all: clean build softclean

build:
	debiandoc2html HOWTO.sgml
	debiandoc2pdf HOWTO.sgml
	debiandoc2pdf HOWTO.sgml
# latex permanently reports minor problems so ignore errors from debiandoc2pdf
#	debiandoc2pdf HOWTO.sgml >/dev/null 2>&1 || true
#	debiandoc2pdf HOWTO.sgml >/dev/null 2>&1 || true
	@test -f HOWTO.pdf

clean:
	rm -rf *~ *.log *.toc *.pdf *.ps *.aux *.error *.tex *.dvi *.out *.xml *.html *.aux *.tpt

softclean:
	rm -f *.toc *.tex *.out *.aux *.log

=== debian/changelog ===
svn-buildpackage (0.6.14) unstable; urgency=low

  * made the .changes file lookup code more robust, not failing on missing
    file, trying to find it if a custom build command was specified and not 
    confusing people with incorrect messages otherwise 
    (closes: #334690, #335239)
  * ignoring return code of linda untill a proper solution has been found
    (closes: #334749. Who the .... gets the idea of encoding regular return
    values in application return code :-( )
  * not checking build-deps when tagging only (closes: #334008)

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Oct 2005 03:56:53 +0200

svn-buildpackage (0.6.13) unstable; urgency=low

  * using an explicite variable for the config file choice, still no idea why
    Perl was confused there (closes: #333467)
  * made svn-inject --do-like respect the other options (closes: #333697)
  * first usage of libsvn-core-perl to get a clean list of files, allows to
    do it without network connection (closes: #333573) and without the need to
    deal with usernames in the output (closes: #333544)
  * typo in a version check in the summary output (closes: #333786)

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Oct 2005 21:14:02 +0200

svn-buildpackage (0.6.12) unstable; urgency=low

  * no longer using "svn status -v", unreliable output on usernames with
    spaces (closes: #333215)
  * not constructing the summary when a custom command is used and trying to
    read the _source.changes file (closes: #329949)
  * additional config file lookup in .svn/svn-buildpackage.conf, allows to set
    custom options for each package basis (closes: #329914)
  * not running clean in mergeWithUpstream mode, let's whether somebody
    becomes bothered by this behaviour (closes: #328403)
  * documented --svn-ignore and --svn-reuse (closes: #332585)
  * option for checks with linda, parallel to lintian (closes: #332639)

 -- Eduard Bloch <blade@debian.org>  Tue, 11 Oct 2005 12:55:13 +0200

svn-buildpackage (0.6.11) unstable; urgency=low

  * deal with multiple files in an upstream tarball, patch by Charles Fry
    (closes: #321711)
  * added a clean rule call in svn-inject to "fix" the contents of "dirty"
    source (closes: #320071)
  * fixed the sample propset command documentation for mergeWithUpstream
    mode (closes: #328398)
  * added a check for the deb:ignoreM property to ignore changes on selected
    files (closes: #317028)

 -- Eduard Bloch <blade@debian.org>  Fri, 23 Sep 2005 16:21:05 +0200

svn-buildpackage (0.6.10) unstable; urgency=low

  * uclean also kills all config.status and config.log files
  * made the help message appear before the sanity checks in the init phase if
    -h is present (closes: #320086)
  * mergeOn -> mergeWith in svn-inject.1 and manual (closes: #325029)
  * typo in the hints message fixes (closes: #320596)
  * svn-upgrade and svn-inject always remove temp dirs on exit now
    (closes: #317850)
  * correct version detection on new upstream tarballs with hyphens in the
    version string

 -- Eduard Bloch <blade@debian.org>  Sun, 11 Sep 2005 13:11:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends-Indep: debhelper (>> 4.0.0), debiandoc-sgml, tetex-extra
-Standards-Version: 3.6.1.1
+Standards-Version: 3.6.2.1
 
 Package: svn-buildpackage
 Architecture: all
 Conflicts: svn-devscripts (<< 0.3.5)
 Replaces: svn-devscripts (<< 0.3.5)
 Suggests: fsh
-Depends: subversion, subversion-tools, devscripts, ${perl:Depends}
+Depends: subversion, subversion-tools, devscripts, ${perl:Depends}, libsvn-core-perl
 Description: helper programs to maintain Debian packages with Subversion
  svn-buildpackage (formerly svn-devscripts) contains tools that help to
  automate the task of maintaining Debian packages inside of a Subversion

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	touch build-stamp
 
 clean:
+	set
 	dh_testdir
 	dh_testroot
 	rm -rf build-stamp configure-stamp doc/HOWTO.html doc/HOWTO.pdf

## svn-buildpackage 0.6.15

=== debian/changelog ===
svn-buildpackage (0.6.15) unstable; urgency=low

  [ Eduard Bloch ]
  * made -svn-reuse imply --svn-dont-purge for obvious reasons
  * more meaningful message if debian/changelog's first entry is broken
  * "use links where possible" message improved
  * changed dependency from libsvn-core-perl to libsvn-perl (closes: #394823)
  * svn-upgrade: simplier hash var quoting in messages 
  * svn-upgrade: create the orig tarballs dir if it doesn't exist

  [ martin f. krafft ]
  * applied patch by Sergei Golovan to fix prevent modification of read-only
    $arch variable (closes: #370227).
  * make --svn-move also move the orig.tar.gz file if it's not listed in the
    changes file (closes: #377404).
  * also perform --svn-move if using a custom builder. If the custom builder
    you use does not drop the generated files to the build-area directory,
    well, don't use --svn-move. The summary will only be displayed if the
    changes file can be found.
  * move all changes files, not just the arch-specific one.

 -- Eduard Bloch <blade@debian.org>  Tue, 24 Oct 2006 09:21:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends-Indep: debhelper (>> 4.0.0), debiandoc-sgml, tetex-extra
-Standards-Version: 3.6.2.1
+Build-Depends: debhelper (>> 4.0.0), debiandoc-sgml, tetex-extra
+Standards-Version: 3.7.2
 
 Package: svn-buildpackage
 Architecture: all
 Conflicts: svn-devscripts (<< 0.3.5)
 Replaces: svn-devscripts (<< 0.3.5)
 Suggests: fsh
-Depends: subversion, subversion-tools, devscripts, ${perl:Depends}, libsvn-core-perl
+Depends: subversion, subversion-tools, devscripts, ${perl:Depends}, libsvn-perl
 Description: helper programs to maintain Debian packages with Subversion
  svn-buildpackage (formerly svn-devscripts) contains tools that help to
  automate the task of maintaining Debian packages inside of a Subversion

## svn-buildpackage 0.6.16etch1

=== debian/changelog ===
svn-buildpackage (0.6.16etch1) testing-proposed-updates; urgency=high

  * minor subrelease to fix the worst bugs (regressions in the current Etch
    version)

  [ Gonéri Le Bouder ]
  * Fix: Symbolic links are not preserved. Apply patch by S. Wefel
    (Closes: #409309)
  * Fix: --svn-noninteractive working, variable overlap with SDCommon module

  [ Eduard Bloch ]
  * Fix: ignore unversionned and deleted files while copying (closes: #414547)
  * Fix: svn-buildpackage does not allow passing of command line arguments
    to --svn-builder (Closes: #405437, #406811, #408696)

 -- Eduard Bloch <blade@debian.org>  Mon, 19 Mar 2007 22:53:52 +0100

svn-buildpackage (0.6.16) unstable; urgency=medium

  [ Eddy Petrișor ]
  * now is possible to store svn-deblayout information in Subversion
    properties - namespace is svn-bp:* (Closes: #373295, #377411)
  * add depends on file (Closes: #397611)
  * add support for origUrl (adds also a dependency on wget)
    (Closes: #377880)

  [ Gonéri Le Bouder ]
  * add --svn-noninteractive to turn off interactive mode (Closes: #349979)

  [ Eduard Bloch ]
  * svn_load_dir replacement implemented (closes: #399661, #398185), dropped
    dependency on subversion-tools. This also solves the user confusion
    because of its bizzare output and error handling (closes: #351653)
  * running custom build command trough a shell (closes: #376278)
  * disabled some postprocessing sugar with custom build command, makes
    more problem then it's worth (closes: #381377). If you use custom
    commands, please do also the post-processing. It is even documented (now
    also about --svn-linda, closes: #335239). People, please, DO SOME RTFM, it
    is not that hard.
  * more carefull checks for UNRELEASED tags in debian/changelog
  * made the the build-dep checking helper ineffective when prebuild hook is
    used (closes: #340396)
  * moved the clean command after build-dep check (closes: #348833)
  * tested bzip2 support in svn-inject (closes: #388567)
  * print the actuall svn command to show which repository is beeing accessed
    when probing around (closes: #396464). This may have caused Sven's
    confusion as well (closes: #327180, reopen if you have new information).
  * added a frontend script from Loïc Minier to
    /svn-buildpackage/usr/share/svn-buildpackage/contrib (closes: #389941)
  * manpage fixes and updates by Ted Percival (closes: #374805)
  * exclusion of upstream branch if definitely no files there are modified and
    explicit exclusion with --no-branches, based on a patch from Thierry
    Reding (closes: #345616)
  * Layout type 2 support based on patch from Steve Kowalik (closes: #338389)
  * carefully weed out empty arguments before exporting (closes: #334608)
  * now really use Q as the default answer at the failure-checking prompt,
    patch by Julian Gilbey (closes: #320679, #351611, #342260)
  * switched positions of copy commands in PRINCIPLES fixed, thanks to Thijs
    Kinkhorst (closes: #376583)
  * included some more language fixes (closes: #403066) and mentioned the SSH
    connection caching in the manual
  * Corrected the trunk/.svn/svn-buildpackage.conf path in the manpage
    (closes: #359673). That is enough, I see no good reason for adding a
    fallback to trunk/.svn/.svn-buildpackage.
  * alternative lookup in main tags directory when building in
    .../branches/... (closes: #399646)
  * removed the reference to the svnbook copy in Debian packages 
    (closes: #347854) which has been removed because of licensing issues

 -- Eduard Bloch <blade@debian.org>  Tue, 26 Dec 2006 16:01:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Conflicts: svn-devscripts (<< 0.3.5)
 Replaces: svn-devscripts (<< 0.3.5)
 Suggests: fsh
-Depends: subversion, subversion-tools, devscripts, ${perl:Depends}, libsvn-perl
+Depends: subversion, devscripts, ${perl:Depends}, libsvn-perl, file, wget
 Description: helper programs to maintain Debian packages with Subversion
  svn-buildpackage (formerly svn-devscripts) contains tools that help to
  automate the task of maintaining Debian packages inside of a Subversion

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 	touch build-stamp
 
 clean:
-	set
 	dh_testdir
 	dh_testroot
 	rm -rf build-stamp configure-stamp doc/HOWTO.html doc/HOWTO.pdf
@@ -48,11 +47,12 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k 
-	dh_installdirs usr/bin usr/share/perl5
+	dh_installdirs usr/bin usr/share/svn-buildpackage/contrib
 
 	# Add here commands to install the package into debian/svn-buildpackage.
 	cp svn-buildpackage svn-inject svn-upgrade uclean $(CURDIR)/debian/svn-buildpackage/usr/bin
 	cp SDCommon.pm $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage
+	install -m755 contrib/svn-do $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage/contrib
 	perl -pe 's/^\$$version=.*/\$$version="'$(shell dpkg-parsechangelog  | grep ^Version | cut -f2 -d\  )'";/' -i $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage/SDCommon.pm
 
 # Build architecture-independent files here.

## svn-buildpackage 0.6.21

=== Makefile ===

DESTDIR?=/usr/local

all: docbuild
	chmod +x svn-inject svn-upgrade svn-buildpackage uclean

docbuild:
	$(MAKE) -C doc

clean:
	-rm *~
	-make -C doc clean

install: docbuild
	mkdir -p $(DESTDIR)/share/svn-buildpackage $(DESTDIR)/bin $(DESTDIR)/share/man/man1
	cp svn-inject svn-upgrade svn-buildpackage uclean $(DESTDIR)/bin
	cp SDCommon.pm $(DESTDIR)/share/svn-buildpackage
	-perl -pe 'sub BEGIN{`dpkg-parsechangelog`=~/Version: (\S+)/; $$v=$$1}; s,version=[\d.]+,version=$$v,;' -i $(DESTDIR)/share/svn-buildpackage/SDCommon.pm
	cp doc/*.1 $(DESTDIR)/share/man/man1
	#cp contrib/svn-bp.completion $(DESTDIR)/etc/bash_completion.d/svn-buildpackage

=== doc/Makefile ===

MANS=uclean.1 svn-inject.1 svn-upgrade.1 svn-buildpackage.1
DBMS=uclean.docbookman svn-inject.docbookman svn-upgrade.docbookman svn-buildpackage.docbookman
GENERATED=$(MANS) $(DBMS) HOWTO.pdf HOWTO.html

all: build softclean

build: $(GENERATED)
# latex permanently reports minor problems so ignore errors from debiandoc2pdf
#	debiandoc2pdf HOWTO.sgml >/dev/null 2>&1 || true
#	debiandoc2pdf HOWTO.sgml >/dev/null 2>&1 || true

%.1: %.sgml
	docbook2man $*.sgml

%.docbookman: %.1
	perl man2debiandoc.pl $*.1 > $*.docbookman

%.pdf: %.sgml $(MANS)
	debiandoc2pdf $*.sgml
	debiandoc2pdf $*.sgml
	@test -f HOWTO.pdf

HOWTO.html: HOWTO.html/index.html
	
HOWTO.html/index.html:HOWTO.sgml $(DBMS)
	debiandoc2html HOWTO.sgml

clean: softclean
	rm -rf *~ *.tmp *.pdf *.ps *.error *.dvi *.xml *.html *.tpt $(GENERATED) *sasp *.1 *docbookman

softclean:
	@rm -f *.toc *.tex *.out *.aux *.log *.links *.refs

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends: debhelper (>> 4.0.0), debiandoc-sgml, tetex-extra
+Uploaders: Eduard Bloch <blade@debian.org>, Eddy Petrișor <eddy.petrisor@gmail.com>
+Build-Depends: debhelper (>> 4.0.0), debiandoc-sgml, texlive-latex-extra,  tetex-extra, docbook-utils
 Standards-Version: 3.7.2
 
 Package: svn-buildpackage
 Architecture: all
 Conflicts: svn-devscripts (<< 0.3.5)
 Replaces: svn-devscripts (<< 0.3.5)
-Suggests: fsh
-Depends: subversion, devscripts, ${perl:Depends}, libsvn-perl, file, wget
+Depends: subversion, devscripts, ${perl:Depends}, libsvn-perl, file, wget, unp, liburi-perl
 Description: helper programs to maintain Debian packages with Subversion
  svn-buildpackage (formerly svn-devscripts) contains tools that help to
  automate the task of maintaining Debian packages inside of a Subversion

=== debian/rules ===
--- 
+++ 
@@ -22,15 +22,14 @@
 
 
 build: build-stamp
+	$(MAKE)
 
 build-stamp: configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	cd doc && $(MAKE)
 	#/usr/bin/docbook-to-man debian/svn-buildpackage.sgml > svn-buildpackage.1
-
 	touch build-stamp
 
 clean:
@@ -50,10 +49,10 @@
 	dh_installdirs usr/bin usr/share/svn-buildpackage/contrib
 
 	# Add here commands to install the package into debian/svn-buildpackage.
-	cp svn-buildpackage svn-inject svn-upgrade uclean $(CURDIR)/debian/svn-buildpackage/usr/bin
-	cp SDCommon.pm $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/svn-buildpackage/usr
 	install -m755 contrib/svn-do $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage/contrib
-	perl -pe 's/^\$$version=.*/\$$version="'$(shell dpkg-parsechangelog  | grep ^Version | cut -f2 -d\  )'";/' -i $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage/SDCommon.pm
+	install -m644 contrib/svn-bp.completion $(CURDIR)/debian/svn-buildpackage/etc/bash_completion.d/svn-buildpackage
+	install -m755 contrib/deblayout2svnprops $(CURDIR)/debian/svn-buildpackage/usr/share/svn-buildpackage/contrib
 
 # Build architecture-independent files here.
 binary-arch: build install

## svn-buildpackage 0.6.23

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: extra
 Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders: Eduard Bloch <blade@debian.org>, Eddy Petrișor <eddy.petrisor@gmail.com>
-Build-Depends: debhelper (>> 4.0.0), debiandoc-sgml, texlive-latex-extra,  tetex-extra, docbook-utils
+Build-Depends: debhelper (>> 4.0.0), debiandoc-sgml, texlive-latex-extra,  tetex-extra, docbook-utils, gs-gpl | gs, docbook
 Standards-Version: 3.7.2
+Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/trunk
+Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/svn-buildpackage/trunk/?op=log
 
 Package: svn-buildpackage
 Architecture: all

## svn-buildpackage 0.6.23ubuntu1

=== Makefile ===

DESTDIR?=/usr/local

all: docbuild
	chmod +x svn-inject svn-upgrade svn-buildpackage uclean

docbuild:
	$(MAKE) -C doc

clean:
	-rm *~
	-make -C doc clean

install: docbuild
	mkdir -p $(DESTDIR)/share/svn-buildpackage $(DESTDIR)/bin $(DESTDIR)/share/man/man1
	cp svn-inject svn-upgrade svn-buildpackage uclean $(DESTDIR)/bin
	cp SDCommon.pm $(DESTDIR)/share/svn-buildpackage
	-perl -pe 'sub BEGIN{`dpkg-parsechangelog`=~/Version: (\S+)/; $$v=$$1}; s,version="?[\d.+~\w]+"?,version="$$v",;' -i $(DESTDIR)/share/svn-buildpackage/SDCommon.pm
	cp doc/*.1 $(DESTDIR)/share/man/man1
	#cp contrib/svn-bp.completion $(DESTDIR)/etc/bash_completion.d/svn-buildpackage

=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 
 %.pdf: %.sgml $(MANS)
 	debiandoc2pdf $*.sgml
-	debiandoc2pdf $*.sgml
 	@test -f HOWTO.pdf
 
 HOWTO.html: HOWTO.html/index.html

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: svn-buildpackage
 Section: devel
 Priority: extra
-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
 Uploaders: Eduard Bloch <blade@debian.org>, Eddy Petrișor <eddy.petrisor@gmail.com>
 Build-Depends: debhelper (>> 4.0.0), debiandoc-sgml, texlive-latex-extra,  tetex-extra, docbook-utils, gs-gpl | gs, docbook
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	rm -rf build-stamp configure-stamp doc/HOWTO.html doc/HOWTO.pdf
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## svn-buildpackage 0.6.26

=== Makefile ===

DESTDIR ?=
PREFIX ?= /usr
DEST = $(DESTDIR)$(PREFIX)

all: docbuild

docbuild:
	$(MAKE) -C doc

clean:
	$(RM) *~
	-$(MAKE) -C doc clean

=== doc/Makefile ===

MANS=uclean.1 svn-inject.1 svn-upgrade.1 svn-buildpackage.1 svn-do.1
GENERATED=$(MANS) HOWTO.html
URL=http://docbook.sourceforge.net/release/xsl/current/
CATALOG=XML_CATALOG_FILES=/etc/xml/catalog
all: build

build: $(GENERATED)

%.1: svn-buildpackage.docbook
	$(CATALOG) xsltproc --nonet $(URL)manpages/docbook.xsl svn-buildpackage.docbook

HOWTO.html: html/index.html

html/index.html: HOWTO.docbook
	$(CATALOG) xsltproc --nonet -o html/ $(URL)html/chunk.xsl HOWTO.docbook

clean: softclean
	$(RM) *~ *.tmp *.pdf *.ps *.error *.dvi *.html *.tpt
	$(RM) html/* $(GENERATED) *sasp *.1 *docbookman

softclean:
	$(RM) *.toc *.tex *.out *.aux *.log *.links *.refs

=== debian/control ===
Source: svn-buildpackage
Section: vcs
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>,
 Ryan Niebur <ryanryan52@gmail.com>,
 Jan Hauke Rahm <info@jhr-online.de>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: docbook-xml, docbook-xsl, xsltproc
Standards-Version: 3.8.2
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/svn-buildpackage/trunk/?op=log

Package: svn-buildpackage
Architecture: all
Conflicts: svn-devscripts (<< 0.3.5)
Replaces: svn-devscripts (<< 0.3.5)
Depends: subversion, devscripts, ${perl:Depends}, libsvn-perl,
 file, wget, unp, liburi-perl, libcapture-tiny-perl, ${misc:Depends},
 libfile-libmagic-perl
Description: helper programs to maintain Debian packages with Subversion
 svn-buildpackage (formerly svn-devscripts) contains tools that help to
 automate the task of maintaining Debian packages inside of a Subversion
 repository. They are intended to be used by Debian maintainers to simplify
 the error-prone actions with the svn, devscripts, and dpkg-dev utilities.
 .
  - svn-inject: creates the initial directory structure of a
         Debian-SVN repository and imports existing packages
  - svn-upgrade: imports upstream changes into the upstream branch and
         updates the Debian trunk directory, merging and tagging as needed
  - svn-buildpackage: wrapper around dpkg-buildpackage (or other builders),
         exporting/merging/tagging source as needed
  - svn-do: exports a source, runs a command inside the exported source and,
         if the command succeeds, copies back the debian/ tree
  - uclean: removes redundant files from upstream source packages
 .
 The package also includes a detailed HOWTO document.

## svn-buildpackage 0.7.1

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: extra
 Maintainer: Neil Williams <codehelp@debian.org>
 Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>,
- Ryan Niebur <ryanryan52@gmail.com>,
- Jan Hauke Rahm <info@jhr-online.de>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: docbook-xml, docbook-xsl, xsltproc
-Standards-Version: 3.8.2
+ Ryan Niebur <ryan@debian.org>,
+ Jan Hauke Rahm <jhr@debian.org>
+Build-Depends: debhelper (>= 7), po4a (>= 0.37.1)
+Build-Depends-Indep: docbook-xml, docbook-xsl, intltool, xsltproc
+Standards-Version: 3.8.3
+Homepage: http://svn-bp.alioth.debian.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/svn-buildpackage/trunk/?op=log
 
@@ -15,9 +16,10 @@
 Architecture: all
 Conflicts: svn-devscripts (<< 0.3.5)
 Replaces: svn-devscripts (<< 0.3.5)
-Depends: subversion, devscripts, ${perl:Depends}, libsvn-perl,
+Depends: subversion, devscripts (>= 2.10.54), ${perl:Depends}, libsvn-perl,
  file, wget, unp, liburi-perl, libcapture-tiny-perl, ${misc:Depends},
- libfile-libmagic-perl
+ libfile-libmagic-perl, liblocale-gettext-perl
+Recommends: debhelper
 Description: helper programs to maintain Debian packages with Subversion
  svn-buildpackage (formerly svn-devscripts) contains tools that help to
  automate the task of maintaining Debian packages inside of a Subversion

## svn-buildpackage 0.8.1

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: svn-buildpackage
 Section: vcs
 Priority: extra
-Maintainer: Neil Williams <codehelp@debian.org>
-Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>,
- Ryan Niebur <ryan@debian.org>,
- Jan Hauke Rahm <jhr@debian.org>
+Maintainer: svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>
+Uploaders: Neil Williams <codehelp@debian.org>,
+ Jan Hauke Rahm <jhr@debian.org>,
+ Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.37.1)
 Build-Depends-Indep: docbook-xml, docbook-xsl, intltool, xsltproc
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://svn-bp.alioth.debian.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/svn-buildpackage/trunk/?op=log

## svn-buildpackage 0.8.3

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.37.1)
 Build-Depends-Indep: docbook-xml, docbook-xsl, intltool, xsltproc
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://svn-bp.alioth.debian.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/svn-buildpackage/trunk/?op=log

## svn-buildpackage 0.8.4

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,13 @@
  Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.37.1)
 Build-Depends-Indep: docbook-xml, docbook-xsl, intltool, xsltproc
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://svn-bp.alioth.debian.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/svn-buildpackage/trunk/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/svn-buildpackage/trunk/
 
 Package: svn-buildpackage
 Architecture: all
-Conflicts: svn-devscripts (<< 0.3.5)
-Replaces: svn-devscripts (<< 0.3.5)
 Depends: subversion, devscripts (>= 2.10.54), ${perl:Depends}, libsvn-perl,
  file, wget, unp, liburi-perl, libcapture-tiny-perl, ${misc:Depends},
  libfile-libmagic-perl, liblocale-gettext-perl

## svn-buildpackage 0.8.5

=== doc/Makefile ===

all:

clean:
	$(RM) *~ *.tmp
	$(RM) -r html/* *.1
	$(RM) -r svn-buildpackage

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.37.1)
 Build-Depends-Indep: docbook-xml, docbook-xsl, intltool, xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://svn-bp.alioth.debian.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/svn-buildpackage/trunk/

## svn-buildpackage 0.8.5+nmu1

=== Makefile ===

DESTDIR ?=
PREFIX ?= /usr
DEST = $(DESTDIR)$(PREFIX)

all: docbuild
	$(MAKE) -C po

docbuild:
	po4a-build 

install:
	$(MAKE) -C po install

clean:
	$(RM) *~
	-$(MAKE) -C doc clean
	$(MAKE) -C po clean

# adds the POT file to the source tarball
native-dist: Makefile
	po4a-build --pot-only
	$(MAKE) -C po pot

## svn-buildpackage 0.8.7

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: svn-buildpackage
 Section: vcs
 Priority: extra
-Maintainer: svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>
-Uploaders: Neil Williams <codehelp@debian.org>,
- Jan Hauke Rahm <jhr@debian.org>,
- Ryan Niebur <ryan@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7), po4a (>= 0.37.1)
 Build-Depends-Indep: docbook-xml, docbook-xsl, intltool, xsltproc
 Standards-Version: 3.9.3
-Homepage: http://svn-bp.alioth.debian.org/
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/svn-buildpackage/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/svn-buildpackage/trunk/
+Homepage: https://svn-bp.alioth.debian.org/
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/svn-buildpackage/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/svn-buildpackage/trunk
 
 Package: svn-buildpackage
 Architecture: all

## svn-buildpackage 0.8.8

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	$(MAKE) -C po
 
 docbuild:
-	po4a-build 
+	./po4a-build 
 
 install:
 	$(MAKE) -C po install
@@ -19,5 +19,5 @@
 
 # adds the POT file to the source tarball
 native-dist: Makefile
-	po4a-build --pot-only
+	./po4a-build --pot-only
 	$(MAKE) -C po pot

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,6 @@
 Build-Depends: debhelper (>= 7), po4a (>= 0.37.1)
 Build-Depends-Indep: docbook-xml, docbook-xsl, intltool, xsltproc
 Standards-Version: 3.9.3
-Homepage: https://svn-bp.alioth.debian.org/
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/svn-buildpackage/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/svn-buildpackage/trunk
 
 Package: svn-buildpackage
 Architecture: all

## svn-buildpackage 0.8.9

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,31 @@
 Source: svn-buildpackage
 Section: vcs
-Priority: extra
+Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7), po4a (>= 0.37.1)
-Build-Depends-Indep: docbook-xml, docbook-xsl, intltool, xsltproc
-Standards-Version: 3.9.3
+Build-Depends: debhelper-compat (= 13), po4a (>= 0.37.1),
+Build-Depends-Indep: docbook-xml,
+                     docbook-xsl,
+                     intltool,
+                     xsltproc,
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/svn-buildpackage
+Vcs-Git: https://salsa.debian.org/debian/svn-buildpackage.git
 
 Package: svn-buildpackage
 Architecture: all
-Depends: subversion, devscripts (>= 2.10.54), ${perl:Depends}, libsvn-perl,
- file, wget, unp, liburi-perl, libcapture-tiny-perl, ${misc:Depends},
- libfile-libmagic-perl, liblocale-gettext-perl
-Recommends: debhelper
+Depends: devscripts (>= 2.10.54),
+         file,
+         libcapture-tiny-perl,
+         libfile-libmagic-perl,
+         liblocale-gettext-perl,
+         libsvn-perl,
+         liburi-perl,
+         subversion,
+         unp,
+         wget,
+         ${misc:Depends},
+         ${perl:Depends},
+Recommends: debhelper,
 Description: helper programs to maintain Debian packages with Subversion
  svn-buildpackage (formerly svn-devscripts) contains tools that help to
  automate the task of maintaining Debian packages inside of a Subversion
